Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.common
Class XMLAttributeDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLAttributeDecl

public class XMLAttributeDecl
extends java.lang.Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: XMLAttributeDecl.java,v 1.3 2000/07/21 03:42:44 ericye Exp $
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`DatatypeValidator` | `datatypeValidator`
`static int` | `DEFAULT_TYPE_DEFAULT`
`static int` | `DEFAULT_TYPE_FIXED`
`static int` | `DEFAULT_TYPE_IMPLIED`
`static int` | `DEFAULT_TYPE_REQUIRED`
`int` | `defaultType`
`java.lang.String` | `defaultValue`
`int` | `enumeration`
`boolean` | `list`
`QName` | `name`
`static int` | `PROCESSCONTENTS_LAX`
`static int` | `PROCESSCONTENTS_SKIP`
`static int` | `PROCESSCONTENTS_STRICT`
`int` | `type`
`static int` | `TYPE_ANY_ANY`
`static int` | `TYPE_ANY_LIST`
`static int` | `TYPE_ANY_LOCAL`
`static int` | `TYPE_ANY_OTHER`
`static int` | `TYPE_CDATA`
`static int` | `TYPE_ENTITY`
`static int` | `TYPE_ENUMERATION`
`static int` | `TYPE_ID`
`static int` | `TYPE_IDREF`
`static int` | `TYPE_NMTOKEN`
`static int` | `TYPE_NOTATION`
`static int` | `TYPE_SIMPLE`

Constructor Summary
`XMLAttributeDecl()`
`XMLAttributeDecl(XMLAttributeDecl attributeDecl)`

Method Summary
`void` | `clear()`
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`void` | `setValues(XMLAttributeDecl attributeDecl)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_CDATA

    public static final int TYPE_CDATA

### TYPE_ENTITY

    public static final int TYPE_ENTITY

### TYPE_ENUMERATION

    public static final int TYPE_ENUMERATION

### TYPE_ID

    public static final int TYPE_ID

### TYPE_IDREF

    public static final int TYPE_IDREF

### TYPE_NMTOKEN

    public static final int TYPE_NMTOKEN

### TYPE_NOTATION

    public static final int TYPE_NOTATION

### TYPE_SIMPLE

    public static final int TYPE_SIMPLE

### TYPE_ANY_ANY

    public static final int TYPE_ANY_ANY

### TYPE_ANY_OTHER

    public static final int TYPE_ANY_OTHER

### TYPE_ANY_LOCAL

    public static final int TYPE_ANY_LOCAL

### TYPE_ANY_LIST

    public static final int TYPE_ANY_LIST

### DEFAULT_TYPE_IMPLIED

    public static final int DEFAULT_TYPE_IMPLIED

### DEFAULT_TYPE_FIXED

    public static final int DEFAULT_TYPE_FIXED

### DEFAULT_TYPE_REQUIRED

    public static final int DEFAULT_TYPE_REQUIRED

### DEFAULT_TYPE_DEFAULT

    public static final int DEFAULT_TYPE_DEFAULT

### PROCESSCONTENTS_STRICT

    public static final int PROCESSCONTENTS_STRICT

### PROCESSCONTENTS_LAX

    public static final int PROCESSCONTENTS_LAX

### PROCESSCONTENTS_SKIP

    public static final int PROCESSCONTENTS_SKIP

### name

    public QName name

### datatypeValidator

    public DatatypeValidator datatypeValidator

### type

    public int type

### list

    public boolean list

### enumeration

    public int enumeration

### defaultType

    public int defaultType

### defaultValue

    public java.lang.String defaultValue

Constructor Detail

### XMLAttributeDecl

    public XMLAttributeDecl()

### XMLAttributeDecl

    public XMLAttributeDecl(XMLAttributeDecl attributeDecl)

Method Detail

### clear

    public void clear()

### setValues

    public void setValues(XMLAttributeDecl attributeDecl)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD